summaryrefslogtreecommitdiffstats
path: root/modules.d/kexec-reboot/module-setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'modules.d/kexec-reboot/module-setup.sh')
-rwxr-xr-xmodules.d/kexec-reboot/module-setup.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/modules.d/kexec-reboot/module-setup.sh b/modules.d/kexec-reboot/module-setup.sh
new file mode 100755
index 00000000..1cda92a0
--- /dev/null
+++ b/modules.d/kexec-reboot/module-setup.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+
+check() {
+ # Tell dracut that this module should only be included if it is required
+ # explicitly.
+ if ! hash kexec; then
+ derror "Failed to find kexec, please install it when using this module."
+ return 1
+ fi
+ return 255
+}
+depends() {
+ echo dnbd3-rootfs slx-tools
+}
+install() {
+ inst_simple "$moddir/scripts/kexec-reboot.sh" "/bin/kexec-reboot"
+ inst_multiple kexec
+}